## python-validictory 0.8.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/validictory.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/validictory.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/validictory"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/validictory"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-validictory (0.8.3-4) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Use Python 3 for building docs.
  * Drop Python 2 support.
  * Use pybuild for building package.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Aug 2019 11:57:56 +0200

python-validictory (0.8.3-3) unstable; urgency=medium

  [ Chris Lamb ]
  * Team upload.
  * Move away from deprecated githubredir in debian/watch.
  * Bump Standards-Version to 4.2.1.
  * wrap-and-sort -sa.
  * Bump debhelper compat level to 11.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

 -- Chris Lamb <lamby@debian.org>  Tue, 18 Sep 2018 18:29:18 +0100

python-validictory (0.8.3-2) unstable; urgency=low

  * Updating the copyright, had incorect license information.
  * Updating the watch file, had a bad path to the tarballs.

 -- Paul Tagliamonte <paultag@debian.org>  Mon, 15 Oct 2012 21:35:51 -0400

python-validictory (0.8.3-1) unstable; urgency=low

  * Initial packaging.

 -- Paul Tagliamonte <paultag@debian.org>  Mon, 15 Oct 2012 21:14:53 -0400

=== debian/control ===
Source: python-validictory
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Paul Tagliamonte <paultag@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-sphinx (>= 1.0.7+dfsg),
 python3-all (>= 3.1.2),
 python3-setuptools,
Standards-Version: 4.4.0
Homepage: https://github.com/sunlightlabs/validictory
Vcs-Git: https://salsa.debian.org/python-team/modules/python-validictory.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-validictory
Testsuite: autopkgtest-pkg-python

Package: python-validictory-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: general purpose Python data validator (Documentation)
 Validictory is a schema validator based on the JSON Schema
 Proposal (http://json-schema.org).
 .
 This package only contains documentation for use by developers targeting
 the python-validictory (or python3-validictory) module.

Package: python3-validictory
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-validictory-doc,
Description: general purpose Python data validator (Python 3)
 Validictory is a schema validator based on the JSON Schema
 Proposal (http://json-schema.org).
 .
 This package contains bindings for Python 3

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=validictory

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rvf ./docs/build ./*.egg-info ./build

override_dh_auto_build:
	dh_auto_build
	make -C docs html

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

=== debian/watch ===
version=3
https://github.com/sunlightlabs/validictory/tags .*/(.*)\.tar\.gz

## python-validictory 1.1.2

=== debian/changelog ===
python-validictory (1.1.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Thomas Goirand ]
  * Team upload.
  * Added patch from Steve Langasek to fix Python 3.10 compat
    (Closes: #1001480).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Jan 2022 16:42:53 +0100

python-validictory (1.1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Thomas Goirand ]
  * Team upload.
  * New upstream release.
  * Added python3-pytest as build-depends.
  * Removed version of python3-sphinx and python3-all build-depends, already
    satisfied even in oldoldstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Sep 2021 11:56:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: python-validictory
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Paul Tagliamonte <paultag@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- python3-sphinx (>= 1.0.7+dfsg),
- python3-all (>= 3.1.2),
+ python3-sphinx,
+ python3-all,
  python3-setuptools,
-Standards-Version: 4.4.0
+Build-Depends-Indep:
+ python3-pytest,
+Standards-Version: 4.5.1
 Homepage: https://github.com/sunlightlabs/validictory
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-validictory.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-validictory
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-validictory.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-validictory
 Testsuite: autopkgtest-pkg-python
 
 Package: python-validictory-doc

=== debian/watch ===
version=4
https://github.com/sunlightlabs/validictory/tags .*/(.*)\.tar\.gz
